# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           python-smmap
Version:        0.8.1
Release:        3%{?dist}
Summary:        Sliding window memory map manager

License:        BSD
URL:            https://github.com/Byron/smmap
# Download from http://pypi.python.org/packages/source/s/smmap/smmap-0.8.1.tar.gz#md5=a35b64bbb7068b7a3f2e0651b72646b2
Source0:        http://pypi.python.org/packages/source/s/smmap/smmap-0.8.1.tar.gz
# https://github.com/Byron/smmap/commit/bdc1258abb48328a389720df2ffc404692add426
Patch0:         0001-Added-LICENSE-file-containing-a-copy-of-new-BSD.patch
BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools, python-nose

%description
A pure python implementation of a sliding window memory map manager


%prep
%setup -q -n smmap-%{version}
%patch0 -p1


%build
%{__python} setup.py build


%check
nosetests


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{python_sitelib}/smmap/test


%files
%doc LICENSE
# For noarch packages: sitelib
%{python_sitelib}/smmap/
%{python_sitelib}/smmap-%{version}-py?.?.egg-info


%changelog
* Sat Sep 24 2011 Jesse Keating <jkeating@redhat.com> - 0.8.1-3
- Don't package tests

* Sat Sep 24 2011 Jesse Keating <jkeating@redhat.com> - 0.8.1-2
- Updated summary, use specific files section, add a check section

* Sat Sep 24 2011 Jesse Keating <jkeating@redhat.com> - 0.8.1-1
- First package attempt

